Definir configurações
curl --request POST \
--url https://api.zapfy.io/v1/instance/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alwaysOnline": false,
"rejectCall": true,
"readMessages": false,
"ignoreGroups": false,
"ignoreStatus": false,
"msgRejectCall": "Não atendo chamadas por aqui."
}
'import requests
url = "https://api.zapfy.io/v1/instance/settings"
payload = {
"alwaysOnline": False,
"rejectCall": True,
"readMessages": False,
"ignoreGroups": False,
"ignoreStatus": False,
"msgRejectCall": "Não atendo chamadas por aqui."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alwaysOnline: false,
rejectCall: true,
readMessages: false,
ignoreGroups: false,
ignoreStatus: false,
msgRejectCall: 'Não atendo chamadas por aqui.'
})
};
fetch('https://api.zapfy.io/v1/instance/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"alwaysOnline": false,
"rejectCall": true,
"msgRejectCall": "Não atendo chamadas por aqui.",
"readMessages": false,
"ignoreGroups": false,
"ignoreStatus": false
}
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}Instância
Definir configurações
Substitui as configurações de comportamento da instância. Envie o estado completo — campos omitidos voltam ao padrão.
POST
/
instance
/
settings
Definir configurações
Autorizações
Token de instância (zpfy_inst_...) — envia mensagens.
Corpo
application/json
Mantém a instância sempre aparecendo como online.
Exemplo:
false
Rejeita automaticamente chamadas recebidas.
Exemplo:
true
Marca automaticamente como lidas as mensagens recebidas.
Exemplo:
false
Ignora mensagens de grupos — não dispara webhook para elas.
Exemplo:
false
Ignora atualizações de status — não dispara webhook para elas.
Exemplo:
false
Mensagem enviada automaticamente ao rejeitar uma chamada. Usada apenas quando rejectCall é true.
Exemplo:
"Não atendo chamadas por aqui."
Resposta
Configurações de comportamento da instância.
Show child attributes
Show child attributes
⌘I